\section{Administration}
\label{sec:administration}

\begin{frame}
  \frametitle{Administration}
  \framesubtitle{}

  \textbf{Course organization}
  \begin{itemize}
    \item This parallel programming course amounts to two full weeks of work (70
    hours)
    \item It is organized in two parts:
    \begin{itemize}
      \item A week of ``theoretical'' lectures completed by practical exercises
      \item A personal project realized within the two following weeks
    \end{itemize}
    \item An oral evaluation of your project (15' + 5') will conclude the course
    \item If passed, you'll get 3 ECTS
  \end{itemize}
  \vfill
  \textbf{A few remarks}
  \begin{itemize}
    \item During the course, we'll primarily use C++ for the examples, but you
    can also use C or Fortran
    \item Do not hesitate to interrupt if you have questions
    \item Exercises are important! Do not hesitate to play with them, change the
    parameters, see what happens, make the code crash, try to understand why, etc.
  \end{itemize}
\end{frame}

\begin{frame}
  \frametitle{Administration}
  \framesubtitle{}
  \textbf{Lecture and exercises}
  \begin{itemize}
    \item We tried to build this course with as much exercises as possible
    \item We often use exercises during the lectures to illustrate and
          understand concepts we presented
    \item To easily differentiate between theory and exercises, there are two
          templates
    \item This is a theory slide!
  \end{itemize}
\end{frame}

\begin{frame}[exercise]
  \frametitle{Administration}
  \framesubtitle{}
  \textbf{Lecture and exercises}
  \begin{itemize}
    \item This is an exercise slide!
  \end{itemize}
\end{frame}

% \subsection{Tentative program}
% \label{sec:tentative-program}

% \begin{frame}
%   \frametitle{Tentative program}
%   \framesubtitle{Monday}

%   \begin{table}
%     \centering
%     \begin{tabular}{ccc}
%       \toprule \\
%       Time & Subject & Details \\
%       \midrule \\
%       8:15 -- 10:00 & Basic concepts & Compilation, debugging and data transfer \\
%       10:00 -- 10:30 & Break & \\
%       10:30 -- 12:00 & Cluster architecture & Cluster, node and CPU architecture\\
%       12:00 -- 13:00 & Lunch on your own & \\
%       13:15 -- 15:00 & Single-core optimization & Data access and vectorization\\
%       15:00 -- 15:30 & Break & \\
%       15:30 -- 17:00 & Performance measurement & Key concepts, profiling and
%                                                  roofline model \\
%       \bottomrule \\
%     \end{tabular}
%   \end{table}
% \end{frame}

% \begin{frame}
%   \frametitle{Tentative program}
%   \framesubtitle{Tuesday}

%   \begin{table}
%     \centering
%     \begin{tabular}{ccc}
%       \toprule \\
%       Time & Subject & Details \\
%       \midrule \\
%       8:15 -- 10:00 & Intro OpenMP & History, execution and memory model, parallel construct\\
%       10:00 -- 10:30 & Break & \\
%       10:30 -- 12:00 & Constructs and directives & \\
%       12:00 -- 13:00 & Lunch on your own & \\
%       13:15 -- 15:00 & Clauses & \\
%       15:00 -- 15:30 & Break & \\
%       15:30 -- 17:00 & Getting a speedup & \\
%       \bottomrule \\
%     \end{tabular}
%   \end{table}
% \end{frame}

% \begin{frame}
%   \frametitle{Tentative program}
%   \framesubtitle{Wednesday}

%   \begin{table}
%     \centering
%     \begin{tabular}{ccc}
%       \toprule \\
%       Time & Subject & Details \\
%       \midrule \\
%       8:15 -- 10:00 & Introduction to MPI & \\
%       10:00 -- 10:30 & Break & \\
%       10:30 -- 12:00 & Blocking Pt2Pt& \\
%       12:00 -- 13:00 & Lunch on your own & \\
%       13:15 -- 15:00 & Non blocking and collectives & \\
%       15:00 -- 15:30 & Break & \\
%       15:30 -- 17:00 & Paralellization of Poisson& \\
%       \bottomrule \\
%     \end{tabular}
%   \end{table}
% \end{frame}

% \begin{frame}
%   \frametitle{Tentative program}
%   \framesubtitle{Thursday}

%   \begin{table}
%     \centering
%     \begin{tabular}{ccc}
%       \toprule \\
%       Time & Subject & Details \\
%       \midrule \\
%       8:15 -- 10:00 & & \\
%       10:00 -- 10:30 & Break & \\
%       10:30 -- 12:00 & & \\
%       12:00 -- 13:00 & Lunch on your own & \\
%       13:15 -- 15:00 & & \\
%       15:00 -- 15:30 & Break & \\
%       15:30 -- 17:00 & & \\
%       \bottomrule \\
%     \end{tabular}
%   \end{table}
% \end{frame}

% \begin{frame}
%   \frametitle{Tentative program}
%   \framesubtitle{Friday}

%   \begin{table}
%     \centering
%     \begin{tabular}{ccc}
%       \toprule \\
%       Time & Subject & Details \\
%       \midrule \\
%       8:15 -- 10:00 & & \\
%       10:00 -- 10:30 & Break & \\
%       10:30 -- 12:00 & & \\
%       12:00 -- 13:00 & Lunch on your own & \\
%       13:15 -- 15:00 & & \\
%       15:00 -- 15:30 & Break & \\
%       15:30 -- 17:00 & & \\
%       \bottomrule \\
%     \end{tabular}
%   \end{table}
% \end{frame}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: "../../phys_743_parallel_programming"
%%% End:
